LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05901Bug reports[All Projects] Survey takingpublic2012-03-12 12:332012-03-15 01:32
ReporterDenisChenu 
Assigned ToTMSWhite 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00a2 
Target VersionFixed in Version2.00a3 
Summary05901: Unable to movenext or submit a survey
DescriptionWhen launch a survey with f0419d8, each time try to click next button or submit,

Have the alert javascripot box :
"Please use the LimeSurvey navigation buttons or index. It appears you attempted to use the browser back button to re-submit a page."

And unable to move next
Steps To ReproduceLaunch a public survey, and try to click on next or submit.

Additional InformationSeems it's not F5 test.

Deactivate it are OK, don't found when/where/why step incrementation are removed.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID0000
BrowserFF10 ( without RefUrl)
Database & DB-VersionMysql 5.1.49
Operating System (Server)debian/linux
Webserver software & versionapache
PHP VersionPHP Version 5.3.3-7
Attached Files

- Relationships

-  Notes
User avatar (17890)
c_schmitz (administrator)
2012-03-12 17:20

Thomas, can you please have a look at this?
It looks like LimeExpressionManager::GetLastMoveResult returns 0 in SurveyRuntimeHelper Line 119 for some reason.
User avatar (17900)
TMSWhite (reporter)
2012-03-12 20:36

I also have a handful of commits applied to 1.92 that need to be ported to Yii too, which I figure should take priority (e.g. since there was a POSTkey-related change recently and I need to confirm it was accurately ported to Yii).

My gut sense is that it probably relates to how Yii is using $_SESSION. In all $_SESSION[var] variables are all stored as $_SESSION['survey'_surveyid][var], or some variant, so some may not have been converted.

Are we fully committed to that approach? Storing session for all potentially active surveys seems it might risk straining the memory limits on some machines.
User avatar (17902)
DenisChenu (developer)
2012-03-12 23:29
edited on: 2012-03-12 23:29

Hello,
<quote>My gut sense is that it probably relates to how Yii is using $_SESSION. In all $_SESSION[var] variables are all stored as $_SESSION['survey'_surveyid][var], or some variant, so some may not have been converted.</quote>
Seems same think for langage.

But Yii have some Class for session (http://www.yiiframework.com/doc/api/1.1/CHttpSession [^]). Then sometimes it's
Yii::app()->session and sometimes $_SESSION ...

Use Yii::app()->session['var'] seems the best solution ?

But for $_SESSION['survey'_surveyid][var] : we can have same var with different value for different survey.

example for langage: My lang is english, i go on a chinese/dutch : i set the langage in dutch / I go on a french/english survey : i set in english for this survey. I want see the chines/dutch in dutch after a while . I think for Participant panel, actually there are less situation like that.

User avatar (17904)
TMSWhite (reporter)
2012-03-13 02:36

Denis-

I personally don't see any value in using Yii:app()->session(). It doesn't implement any features that aren't better supported by $_SESSION, and it does not support nested arrays. I think we should just stick with $_SESSION unless there is truly some security issue or other reason why using Yii::app->session() might make sense.

Also, LS already deals with cases when you want to switch language so that you get the right values. Most of the content in $_SESSION is not language specific, so if we replicated it, that would be a waste of memory. If we really want to hold all possible languages in memory, that could be considered, but I wouldn't do it by copying the entire createFieldMap $_SESSION object for each language.

-Tom
User avatar (17905)
DenisChenu (developer)
2012-03-13 03:18

For [survey_$surveyid][var], you're right. I don't know when this was implemented. But actually, have a lot of bug in survey taking :).

Yii::app()->session([var][var]) seem to work.

I think if we use a framework, we can use some helper included in framework.
The real question is : Did we need to use a framework ? But i think it's to late to have this question ;).
User avatar (17909)
TMSWhite (reporter)
2012-03-13 23:54

fixed with commit https://github.com/LimeSurvey/LimeSurvey/commit/acf37e3ecbd6e73e33e58e95897bcbc5604babed [^]
User avatar (17910)
c_schmitz (administrator)
2012-03-14 01:00

Awesome, thank you!
User avatar (17911)
TMSWhite (reporter)
2012-03-14 02:22

I think it's OK, but I haven't done complete testing - will do that later tonight.

- Related Changesets
LimeSurvey: Yii acf37e3e
Timestamp: 2012-03-13 15:27:09
Author: TMSWhite
Committer: Thomas White
Details ] Diff ]
Fixed issue 05901: Unable to movenext or submit a survey
mod - application/helpers/SurveyRuntimeHelper.php Diff ] File ]
mod - application/helpers/expressions/em_core_helper.php Diff ] File ]
mod - application/helpers/expressions/em_manager_helper.php Diff ] File ]
mod - application/helpers/frontend_helper.php Diff ] File ]
mod - application/helpers/qanda_helper.php Diff ] File ]
LimeSurvey: Yii 3d98bb94
Timestamp: 2012-03-13 22:40:23
Author: TMSWhite
Committer: Thomas White
Details ] Diff ]
Dev some additional fixes for issue 05901
mod - application/helpers/expressions/em_manager_helper.php Diff ] File ]
mod - application/helpers/qanda_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-03-12 12:33 DenisChenu New Issue
2012-03-12 17:18 c_schmitz Assigned To => TMSWhite
2012-03-12 17:18 c_schmitz Status new => assigned
2012-03-12 17:20 c_schmitz Note Added: 17890
2012-03-12 20:36 TMSWhite Note Added: 17900
2012-03-12 23:29 DenisChenu Note Added: 17902
2012-03-12 23:29 DenisChenu Note Edited: 17902 View Revisions
2012-03-13 02:36 TMSWhite Note Added: 17904
2012-03-13 03:18 DenisChenu Note Added: 17905
2012-03-13 23:54 TMSWhite Note Added: 17909
2012-03-13 23:54 TMSWhite Status assigned => resolved
2012-03-13 23:54 TMSWhite Fixed in Version => 2.00a3
2012-03-13 23:54 TMSWhite Resolution open => fixed
2012-03-14 01:00 c_schmitz Note Added: 17910
2012-03-14 02:22 TMSWhite Note Added: 17911
2012-03-14 21:08 TMSWhite Changeset attached => Import 2012-03-09 13:30:34 Yii 3d98bb94
2012-03-14 21:08 TMSWhite Changeset attached => Import 2012-03-09 13:30:34 Yii acf37e3e
2012-03-15 01:32 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker